require "infopark_component_cache/consistency_guard"

module InfoparkComponentCache
  module Guards
    # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
    #
    # This is a dummy Guard, mostly for tests purposes.
    # It ensures that the cache is always consistent (provided
    # other guards are also consistent!)
    class AlwaysConsistent < ConsistencyGuard
      def consistent?
        true
      end

      def guard!
        # noop
      end
    end
  end
end
