require "infopark_component_cache/volatile_cache_storage"

module InfoparkComponentCache
  # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
  #
  # This module provides quick an convieniet access to
  # VolatileCacheStorage in any class that includes it.
  module VolatileCache
    def volatile_cache
      @__volatile_cache ||= VolatileCacheStorage.instance
    end
  end
end
