require "infopark_component_cache/abstract_cache_storage"

module InfoparkComponentCache
  # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
  #
  # This class implements a persistent cache storage, that
  # it a cache which will probably persists between requests.
  # In the current version it relies on the preconfigured
  # Rails cache (Rails.application.config.cache_store).
  class CacheStorage < AbstractCacheStorage
    protected

    def backing_storage
      Rails.cache
    end
  end
end
