require "infopark_component_cache/consistency_guard"

module InfoparkComponentCache
  module Guards
    # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
    #
    # This is a dummy Guard, mostly for tests purposes.
    # It ensures that the cache is never consistent
    class NeverConsistent < ConsistencyGuard
      def consistent?
        false
      end

      def guard!
        # noop
      end
    end
  end
end
